POST api/News/DeleteComment
Request Information
URI Parameters
None.
Body Parameters
NewsDeleteCommentModel| Name | Description | Type | Additional information |
|---|---|---|---|
| newsId | integer |
None. |
|
| commentGuid | globally unique identifier |
None. |
|
| accountGuid | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"newsId": 1,
"commentGuid": "e8307ba8-5269-4077-b441-5dd9a708ad0f",
"accountGuid": "36b959bd-b022-4355-aa41-018b6c86e09d"
}
text/plain, application/octet-stream
Sample:
{"newsId":1,"commentGuid":"e8307ba8-5269-4077-b441-5dd9a708ad0f","accountGuid":"36b959bd-b022-4355-aa41-018b6c86e09d"}
application/xml, text/xml
Sample:
<NewsDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <accountGuid>36b959bd-b022-4355-aa41-018b6c86e09d</accountGuid> <commentGuid>e8307ba8-5269-4077-b441-5dd9a708ad0f</commentGuid> <newsId>1</newsId> </NewsDeleteCommentModel>
multipart/form-data, application/form-data
Sample:
<NewsDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountGuid>36b959bd-b022-4355-aa41-018b6c86e09d</accountGuid><commentGuid>e8307ba8-5269-4077-b441-5dd9a708ad0f</commentGuid><newsId>1</newsId></NewsDeleteCommentModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.